
PROGRAM _INIT
	 
END_PROGRAM

PROGRAM _CYCLIC
	// In this example we are controlling the temperature of an element required for machine operation
	// 
	// Specs
	//	- element is required to be at 70C before machine can start execution
	//	- element can not be greater than 100C. If this happens during execution machine should immediatly stop.
	//
	// We will assume 
	//	- temperature is connected to IO AND reads in C
	//	- heatOn is connected to IO and enables the heating element.
	
	// Call PiperModuleInterface to interface with the rest of the machine
	PiperModuleInterface;
	
	IF temperature < 70 THEN
		status := 'cool';
	ELSIF temperature > 100 THEN
		status := 'overtemp';
	ELSE
		status := 'heated';
	END_IF
	
END_PROGRAM

PROGRAM _EXIT
	(* Insert code here *)
	 
END_PROGRAM

